PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData Struct Reference
Inheritance diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData:
[legend]
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData:
[legend]

## Public Member Functions
template<typename... Args>
| GainData (Args... args)
DataVector< Tensor2< double > > | getValues (double wavelength, InterpolationMethod interp, size_t reg, const AveragedData &concs, const AveragedData &temps) override
Public Member Functions inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData
| ComputedData (FreeCarrierGainSolver3D *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
void | compute (double wavelength, InterpolationMethod interp)
Tensor2< double > | at (size_t i) const override
Public Member Functions inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
| DataBase (FreeCarrierGainSolver3D *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DT >
virtual | ~LazyDataImpl ()
virtual DT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DT > | claim () const

## Additional Inherited Members
Public Types inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
typedef FreeCarrierGainSolver3D::ActiveRegionParams | ActiveRegionParams
Public Types inherited from plask::LazyDataImpl< DT >
typedef DT | CellType
Public Attributes inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData
std::vector< DataVector< Tensor2< double > > > | data
| Computed interpolations in each active region.
Public Attributes inherited from plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >
FreeCarrierGainSolver3D * | solver
| Solver.
shared_ptr< const MeshD< 3 > > | dest_mesh
| Destination mesh.
InterpolationFlags | interpolation_flags
| Interpolation flags.
std::vector< CompressedSetOfNumbers<> > | regions
| Map from destination mesh to active region.

## Detailed Description

Definition at line 290 of file freecarrier3d.cpp.

## Constructor & Destructor Documentation

## ◆ GainData()

template<typename... Args>

plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData::GainData | ( | Args... | args | ) |
| inline

Definition at line 293 of file freecarrier3d.cpp.

## Member Function Documentation

## ◆ getValues()

DataVector< Tensor2< double > > plask::gain::freecarrier::FreeCarrierGainSolver3D::GainData::getValues | ( | double | wavelength,
|  | InterpolationMethod | interp,
|  | size_t | reg,
|  | const AveragedData & | concs,
|  | const AveragedData & | temps
| ) |  |
| inline override virtual

Implements plask::gain::freecarrier::FreeCarrierGainSolver3D::ComputedData.

Definition at line 295 of file freecarrier3d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier3d.cpp